Subject: Re: Cell - linux compatibility question

From: jschopp <[email-masked]>
Date: Sun, 17 Sep 2006 17:33:26 -0500

Donald Chiarulli wrote:
> Hello folks..
> 
> We are about to order a 1U dual cell server from Mercury Computer, see:
> 
> http://www.mc.com/products/view/index.cfm?id=96&type=boards
> 
> They are offering a linux (yellow dog) from terra-soft on this  
> platform based on the 2.6.14-1 kernel.  I understand that your kernel  
> (I assume that it is fedora core 5) is built for the blade board that  
> you show on your website.
> 
> Do you know anyone who has experience with porting the Cell GNU  
> toolchain to this platform?
> 
> Any predictions on the relative difficulty?
> 
> Thanks in advance for any input you may be able to provide.

Any powerpc toolchain will work out of the box.  The SPU toolchain isn't mainline fsf yet, 
but I assume terra-soft bundles the SPU gnu toolchain as well.  If not you can get it here:

http://www.bsc.es/projects/deepcomputing/linuxoncell/